## r-cran-qpdf 1.1+dfsg

=== DESCRIPTION ===
Package: qpdf
Type: Package
Title: Split, Combine and Compress PDF Files
Version: 1.1
Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
        person("Jay Berkenbilt", role = "cph", comment = "Author of libqpdf"))
Description: Content-preserving transformations transformations of PDF files such 
    as split, combine, and compress. This package interfaces directly to the 'qpdf' 
    C++ API and does not require any command line utilities. Note that 'qpdf' does
    not read actual content from PDF files: to extract text and data you need the
    'pdftools' package.
License: Apache License 2.0
URL: https://github.com/ropensci/qpdf (devel),
        http://qpdf.sourceforge.net/ (upstream)
BugReports: https://github.com/ropensci/qpdf/issues
Encoding: UTF-8
LazyData: true
Imports: Rcpp, askpass, curl
LinkingTo: Rcpp
RoxygenNote: 6.1.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2019-03-06 15:53:35 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Jay Berkenbilt [cph] (Author of libqpdf)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2019-03-07 10:50:04 UTC

## r-cran-qpdf 1.1%2Bdfsg

=== debian/control ===
Source: r-cran-qpdf
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-askpass,
               r-cran-curl,
               libqpdf-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qpdf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qpdf.git
Homepage: https://cran.r-project.org/package=qpdf

Package: r-cran-qpdf
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R split, combine and compress PDF files
 Content-preserving transformations of PDF files such as split, combine,
 and compress. This package interfaces directly to the 'qpdf' C++ API
 and does not require any command line utilities. Note that 'qpdf' does
 not read actual content from PDF files: to extract text and data you
 need the 'pdftools' package.

## r-cran-qpdf 1.1+dfsg

=== debian/changelog ===
r-cran-qpdf (1.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #933238)

 -- Andreas Tille <tille@debian.org>  Sun, 28 Jul 2019 05:20:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-qpdf
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r

## r-cran-qpdf 1.2.0+dfsg

=== debian/changelog ===
r-cran-qpdf (1.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.0+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Nilesh Patra <nilesh@debian.org>  Tue, 31 May 2022 08:46:39 +0530

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-askpass,
                r-cran-curl,
                libqpdf-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qpdf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qpdf.git
 Homepage: https://cran.r-project.org/package=qpdf

## r-cran-qpdf 1.3.0%2Bdfsg

=== debian/changelog ===
r-cran-qpdf (1.3.0+dfsg-2) unstable; urgency=medium

  * Disable reprotest
  * Force C++17 ABI
    Closes: #1032545

 -- Andreas Tille <tille@debian.org>  Thu, 09 Mar 2023 22:36:36 +0100

r-cran-qpdf (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Builds against qpdf 11
    Closes: #1019695

 -- Andreas Tille <tille@debian.org>  Fri, 07 Oct 2022 15:47:28 +0200

## r-cran-qpdf 1.3.0+dfsg

=== DESCRIPTION ===
Package: qpdf
Type: Package
Title: Split, Combine and Compress PDF Files
Version: 1.3.0
Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
        person("Ben", "Raymond", role = "ctb"),
        person("Jay Berkenbilt", role = "cph", comment = "Author of libqpdf"))
Description: Content-preserving transformations transformations of PDF files such 
    as split, combine, and compress. This package interfaces directly to the 'qpdf' 
    C++ API and does not require any command line utilities. Note that 'qpdf' does
    not read actual content from PDF files: to extract text and data you need the
    'pdftools' package.
License: Apache License 2.0
URL: https://docs.ropensci.org/qpdf/ (website),
        https://github.com/ropensci/qpdf (devel),
        https://qpdf.sourceforge.io/ (upstream)
BugReports: https://github.com/ropensci/qpdf/issues
Encoding: UTF-8
Imports: Rcpp, askpass, curl
LinkingTo: Rcpp
RoxygenNote: 7.2.1
Suggests: testthat
SystemRequirements: libjpeg
NeedsCompilation: yes
Packaged: 2022-10-07 10:04:53 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Ben Raymond [ctb],
  Jay Berkenbilt [cph] (Author of libqpdf)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2022-10-07 11:10:02 UTC

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-qpdf
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qpdf
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qpdf.git
+Homepage: https://cran.r-project.org/package=qpdf
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,10 +15,7 @@
                r-cran-askpass,
                r-cran-curl,
                libqpdf-dev
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qpdf
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qpdf.git
-Homepage: https://cran.r-project.org/package=qpdf
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-qpdf
 Architecture: any

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/qpdf_([-\d.]*)\.tar\.gz

## r-cran-qpdf 1.3.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: r-cran-qpdf
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qpdf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qpdf.git
 Homepage: https://cran.r-project.org/package=qpdf
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,

## r-cran-qpdf 1.3.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: qpdf
 Type: Package
 Title: Split, Combine and Compress PDF Files
-Version: 1.3.0
+Version: 1.3.2
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
     email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
         person("Ben", "Raymond", role = "ctb"),
@@ -12,9 +12,9 @@
     not read actual content from PDF files: to extract text and data you need the
     'pdftools' package.
 License: Apache License 2.0
-URL: https://docs.ropensci.org/qpdf/ (website),
-        https://github.com/ropensci/qpdf (devel),
-        https://qpdf.sourceforge.io/ (upstream)
+URL: https://docs.ropensci.org/qpdf/
+        https://ropensci.r-universe.dev/qpdf
+        https://qpdf.sourceforge.io/
 BugReports: https://github.com/ropensci/qpdf/issues
 Encoding: UTF-8
 Imports: Rcpp, askpass, curl
@@ -23,10 +23,10 @@
 Suggests: testthat
 SystemRequirements: libjpeg
 NeedsCompilation: yes
-Packaged: 2022-10-07 10:04:53 UTC; jeroen
+Packaged: 2023-03-17 13:55:24 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Ben Raymond [ctb],
   Jay Berkenbilt [cph] (Author of libqpdf)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-10-07 11:10:02 UTC
+Date/Publication: 2023-03-17 15:40:05 UTC

=== debian/changelog ===
r-cran-qpdf (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 16:55:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: r-cran-qpdf
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qpdf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qpdf.git

## r-cran-qpdf 1.3.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: qpdf
 Type: Package
 Title: Split, Combine and Compress PDF Files
-Version: 1.3.2
+Version: 1.3.3
 Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
     email = "jeroen@berkeley.edu", comment = c(ORCID = "0000-0002-4035-0289")),
         person("Ben", "Raymond", role = "ctb"),
@@ -23,10 +23,10 @@
 Suggests: testthat
 SystemRequirements: libjpeg
 NeedsCompilation: yes
-Packaged: 2023-03-17 13:55:24 UTC; jeroen
+Packaged: 2024-03-25 13:09:55 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   Ben Raymond [ctb],
   Jay Berkenbilt [cph] (Author of libqpdf)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2023-03-17 15:40:05 UTC
+Date/Publication: 2024-03-25 14:10:05 UTC

=== debian/changelog ===
r-cran-qpdf (1.3.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Jun 2024 15:19:11 +0900

r-cran-qpdf (1.3.2+dfsg-2) unstable; urgency=medium

  * Save src/Makevars before it is changed and restore it in clean target
    Closes: #1047851

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 18:30:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qpdf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qpdf.git
 Homepage: https://cran.r-project.org/package=qpdf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-qpdf 1.3.4%2Bdfsg

=== debian/changelog ===
r-cran-qpdf (1.3.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 11 Mar 2025 18:15:04 +0900

r-cran-qpdf (1.3.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 23 Jan 2025 09:44:34 +0900

## r-cran-qpdf 1.3.4+dfsg

=== DESCRIPTION ===
Package: qpdf
Type: Package
Title: Split, Combine and Compress PDF Files
Version: 1.3.4
Authors@R: c(person("Jeroen", "Ooms", role = c("aut", "cre"), 
    email = "jeroenooms@gmail.com", comment = c(ORCID = "0000-0002-4035-0289")),
        person("Ben", "Raymond", role = "ctb"),
        person("Jay Berkenbilt", role = "cph", comment = "Author of libqpdf"))
Description: Content-preserving transformations transformations of PDF files such 
    as split, combine, and compress. This package interfaces directly to the 'qpdf' 
    C++ library <https://qpdf.sourceforge.io/> and does not require any command 
    line utilities. Note that 'qpdf' does not read actual content from PDF files: 
    to extract text and data you need the 'pdftools' package.
License: Apache License 2.0
URL: https://docs.ropensci.org/qpdf/
        https://ropensci.r-universe.dev/qpdf
BugReports: https://github.com/ropensci/qpdf/issues
Encoding: UTF-8
Imports: Rcpp, askpass, curl
LinkingTo: Rcpp
RoxygenNote: 7.2.1
Suggests: testthat
SystemRequirements: libjpeg
NeedsCompilation: yes
Packaged: 2024-10-03 14:13:06 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  Ben Raymond [ctb],
  Jay Berkenbilt [cph] (Author of libqpdf)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-04 11:40:02 UTC

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qpdf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qpdf.git
 Homepage: https://cran.r-project.org/package=qpdf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_clean:
	if [ -e src/Makevars~ ] ; then \
	    mv src/Makevars~ src/Makevars ; \
	fi
	dh_clean

override_dh_auto_configure:
	cp -a src/Makevars src/Makevars~
	dh_auto_configure
